# `SQLObjectVersionTable`

#### This table is used to store information about the database and its version (used with record and update commands).

The SQLObjectVersionTable class is accessible via the `sqlobject.manager.command` module.

## Attributes

#### a `version`

    <property object at 0xa10c5f4>

#### a `childName`

    None

#### a `updated`

    <property object at 0xa10c0a4>

#### a `j`

    sqlobject_db_version

#### a `q`

    sqlobject_db_version

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `__classinit__(cls, new_attrs)` ...

#### f `__init__(self, **kw)` ...

#### f `__sqlrepr__(self, db)` ...

#### f `__eq__(self, other)` ...

#### f `__ne__(self, other)` ...

#### f `__lt__(self, other)` ...

#### f `__le__(self, other)` ...

#### f `__gt__(self, other)` ...

#### f `__ge__(self, other)` ...

#### f `__getstate__(self)` ...

#### f `__setstate__(self, d)` ...

See the source for more information.